summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--configure.ac4
-rwxr-xr-xdocs/releasetests.sh18
-rw-r--r--mock.spec.in4
-rwxr-xr-xpy/mock.py2
4 files changed, 26 insertions, 2 deletions
diff --git a/configure.ac b/configure.ac
index 5e37eca..f1d16af 100644
--- a/configure.ac
+++ b/configure.ac
@@ -4,12 +4,12 @@
####################################
# change version here.
-AC_INIT([mock],[0.9.1])
+AC_INIT([mock],[0.9.2])
temp_RELEASE_NAME=mock
temp_RELEASE_MAJOR=0
temp_RELEASE_MINOR=9
-temp_RELEASE_SUBLEVEL=2jcw
+temp_RELEASE_SUBLEVEL=3jcw
temp_RELEASE_EXTRALEVEL=
####################################
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index 27d37fc..5fb6537 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -94,6 +94,24 @@ fi
set -e
#
+# Test that chroot with one arg is getting passed though a shell (via os.system())
+#
+time $MOCKCMD --offline --chroot 'touch /tmp/{foo,bar,baz}'
+if [ ! -f $CHROOT/tmp/foo ] || [ ! -f $CHROOT/tmp/bar ] || [ ! -f $CHROOT/tmp/baz ]; then
+ echo "'mock --chroot' with one argument is not being passed to os.system()"
+ exit 1
+fi
+
+#
+# Test that chroot with more than one arg is not getting passed through a shell
+#
+time $MOCKCMD --offline --chroot touch '/tmp/{quux,wibble}'
+if [ ! -f $CHROOT/tmp/\{quux,wibble\} ] || [ -f $CHROOT/tmp/quux ] || [ -f $CHROOT/tmp/wibble ]; then
+ echo "'mock --chroot' with more than one argument is being passed to os.system()"
+ exit 1
+fi
+
+#
# Test offline build
#
time $MOCKCMD --offline --rebuild mock-*.src.rpm
diff --git a/mock.spec.in b/mock.spec.in
index ed39fb1..4fae6ce 100644
--- a/mock.spec.in
+++ b/mock.spec.in
@@ -70,6 +70,10 @@ fi
%attr(02775, root, mock) %dir /var/lib/mock
%changelog
+* Thu Dec 13 2007 Michael Brown <mebrown@michaels-house.net> - 0.9.2-1
+- add '--update' mode
+- fix '--shell' mode
+
* Tue Dec 11 2007 Michael Brown <mebrown@michaels-house.net> - 0.9.1-1
- fix 'mock shell' command when passing more than one arg.
- add --orphanskill mode which only does orphankill
diff --git a/py/mock.py b/py/mock.py
index 8fa0bd9..4a287fd 100755
--- a/py/mock.py
+++ b/py/mock.py
@@ -501,6 +501,8 @@ def main(ret):
if len(args) == 0:
log.critical("You must specify a command to run")
sys.exit(50)
+ elif len(args) == 1:
+ args = args[0]
log.info("Running in chroot: %s" % args)
chroot.tryLockBuildRoot()